Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrUnderline Class Reference

Pango underline C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrUnderline:

List of all members.

## Public Member Functions

Constructors

- AttrUnderline (Underline underline=UNDERLINE_SINGLE)
    Construct a new underline-style attribute.

Accessors

- Underline underline () const
    Returns the underline style.

Methods

- void set_underline (Underline underline)
    Sets the underline style.

## Detailed Description

Pango underline C++ wrapper class.

AttrUnderline wraps the underline attribute (ATTR_UNDERLINE).

## Constructor & Destructor Documentation

Xfc::Pango::AttrUnderline::AttrUnderline | ( | Underline | underline = `UNDERLINE_SINGLE` | ) | `[explicit]`

Construct a new underline-style attribute.

Parameters:

  | underline | The underline style.

## Member Function Documentation

void Xfc::Pango::AttrUnderline::set_underline | ( | Underline | underline | ) |

Sets the underline style.

Parameters:

  | underline | The underline style.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3